program Imp

  use sep

  implicit none
  integer :: ix,iz
  real :: r0,pi,x0
  real :: xc(180),zc(180)

  call sep_init()
  call from_param("r0",r0,1000.)
  call from_param("x0",x0,0.)
  call auxputch("n1","i",180,"rays")
  call auxputch("esize","i",8,"rays")
  pi = acos(-1.)
  
  do ix=1,180
     xc(ix) = r0*cos(pi*dble(ix-1.)/179.) + x0
  end do

  do iz=1,180
     zc(iz) = r0*sin(pi*dble(iz-1.)/179.)
  end do
  
  
  call srite("rays",cmplx(xc,zc),180*8)



end program Imp
